Duplicate a cover letter
curl --request POST \
--url https://rxresu.me/api/openapi/cover-letters/{id}/copies \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://rxresu.me/api/openapi/cover-letters/{id}/copies"
payload = { "name": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://rxresu.me/api/openapi/cover-letters/{id}/copies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"recipient": "<string>",
"content": "<string>",
"style": {
"basics": {
"name": "<string>",
"headline": "<string>",
"email": "<string>",
"phone": "<string>",
"location": "<string>",
"website": {
"url": "<string>",
"label": "<string>"
},
"customFields": [
{
"id": "<string>",
"icon": "<string>",
"text": "<string>",
"link": "<string>"
}
]
},
"picture": {
"hidden": true,
"fit": "cover",
"url": "<string>",
"size": 272,
"rotation": 180,
"aspectRatio": 1.5,
"borderRadius": 50,
"borderColor": "<string>",
"borderWidth": 1,
"shadowColor": "<string>",
"shadowWidth": 1
},
"metadata": {
"template": "azurill",
"page": {
"gapX": 1,
"gapY": 1,
"marginX": 50,
"marginY": 50,
"format": "a4",
"locale": "<string>",
"hideLinkUnderline": true,
"hideIcons": true,
"hideSectionIcons": true,
"dateFormat": "short"
},
"design": {
"level": {
"icon": "<string>",
"type": "hidden"
},
"colors": {
"primary": "<string>",
"text": "<string>",
"background": "<string>"
}
},
"typography": {
"body": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 15,
"lineHeight": 2.25
},
"heading": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 15,
"lineHeight": 2.25
},
"hyphenation": true
},
"styleRules": "<unknown>",
"stylesheet": {
"mode": "legacy",
"source": {
"languageVersion": 0,
"text": "<string>"
}
},
"check": {
"ignored": [
"<string>"
],
"hiddenTerms": [
"<string>"
]
}
},
"sectionId": "<string>",
"itemId": "<string>"
},
"id": "<string>",
"sourceResumeId": "<string>",
"sourceApplicationId": "<string>",
"senderLinked": true,
"designLinked": true,
"isLocked": true,
"revision": 4503599627370496,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"layout": "freeform",
"recipientName": "",
"recipientCompany": "",
"letterDate": "<string>"
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Cover Letters
Duplicate a cover letter
Creates a copy of an existing saved cover letter, optionally with a new name.
POST
/
cover-letters
/
{id}
/
copies
Duplicate a cover letter
Authorizations
apiKeybearerAuthcookieAuth
The API key to authenticate requests.
Path Parameters
Minimum string length:
1Body
application/json
Required string length:
1 - 100Response
The duplicated cover letter.
Required string length:
1 - 100Maximum string length:
20000Maximum string length:
100000Show child attributes
Show child attributes
The sender's details come live from the source resume, instead of the copy in style.
The design comes live from the source resume, instead of the copy in style.
Locked letters can't be edited or moved to Trash until they're unlocked.
Required range:
1 <= x <= 9007199254740991structured: recipient name, company and date fields, a greeting from the name, the body and a sign-off. freeform: the recipient block and body as written (letters from before structured letters).
Available options:
structured, freeform Who the letter is to: a person, or a team.
Maximum string length:
200Maximum string length:
200The letter's date, as YYYY-MM-DD.
Pattern:
^\d{4}-\d{2}-\d{2}$